
* {
    padding: 0;
    margin: 0;
    font-family: "Roboto", sans-serif;
}

body {
    background-color: white;
    background-image: linear-gradient(180deg, white 80%, #9d9dec);
}

header, .wrapper, footer {
    width: 100%;
}

header {
    background-color: white;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.5);
    position: fixed;
    top: 0px;
    z-index: 3;
}

header nav {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    height: fit-content;
    display: flex;
    justify-self: center;
    align-items: center;
    position: relative;
}

header nav .logo {
    float: left;
}

header nav .logo img {
    width: 50px;
}

header nav .logo2 {
    float: left;
    display: none;
}

header nav .logo2 img {
    height: 55px;
}

header nav .ul0 {
    background-color: lightgray;
    display: inline-block;
    box-sizing: border-box;
    height: fit-content;
    overflow: hidden;
    border: 2px solid white;
}

header nav .ul0 li {
    list-style: none;
    float: left;
    margin-right: 1px;
}

header nav .ul0 li a {
    background-color: white;
    text-shadow: 0px 0px 1px lightgray;
    text-align: center;
    color: rgb(75, 74, 74);
    display: inline-block;
    padding: 10px 30px;
    text-decoration: none;
    font-weight: bold;
    font-size: 15px;
}

header nav .ul0 li a:hover {
    color: rgba(0, 0, 0, 0.8);
    text-shadow: 0.5px 0.5px 50px gray;
}

header nav .ul0 li .aSelected {
    text-decoration: underline;
    text-underline-offset: 5px;
}

header nav .menuBtn {
    
    width: 50px;
    height: 50px;
    position: relative;
    display: none;
    overflow: visible;
    margin-left: 5px;
}

header nav .menuBtn button {
    background-color: white;
    width: 50px;
    height: 100%;
    position: relative;
    border: none;
    cursor: pointer;
}

header nav .menuBtn button img {
    width: 85%;
}

header nav .menuBtn button:hover {

    background-color: rgba(250, 250, 250, 1);
}

header nav .menuBtn button .ul1 {
    position: absolute;
    top: 50px;
    left: 0px;
    background-color: lightgray;
    box-sizing: border-box;
    display: none;
    overflow: hidden;
}

header nav .menuBtn button:hover > .ul1 {
    display: inline-block;
    animation-name: showButtons;
    animation-duration: 1s;
    animation-delay: 0s;
    animation-direction: normal;
    box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.4);
}

@keyframes showButtons {
    0% { height: 0px;}
    100% { height: 155px;}
}

header nav .menuBtn button .ul1 li {
    list-style: none;
    margin-right: 1px;
}

header nav .menuBtn button .ul1 li a {
    background-color: white;
    width: 180px;
    text-shadow: 0px 0px 1px lightgray;
    text-align: center;
    color: rgb(75, 74, 74);
    display: inline-block;
    padding: 10px 0px;
    text-decoration: none;
    font-weight: bold;
    font-size: 15px;
    margin: 1px;
}

header nav .menuBtn button .ul1 li a:hover {
    color: rgba(0, 0, 0, 0.8);
    text-shadow: 0.5px 0.5px 50px gray;
}

header nav .menuBtn button .ul1 li .aSelected {
    text-decoration: underline;
    text-underline-offset: 5px;
}

header nav .search0 {
    border: 1px solid rgba(0, 0, 0, 0.4);
    border-radius: 20px;
    overflow: hidden;
    width: 300px;
    background-color: lightgray;
    position: absolute;
    clear: both;
    right: 10px;
    padding-bottom: -10px;
    height: 36px;
}

header nav .search0 input {
    width: 259px;
    height: 36px;
    margin-right: 1px;
    box-sizing: border-box;
    padding: 0px 20px;
    outline: none;
    border: none;
    font-size: 15px;
    float: left;
    text-shadow: 1px 1px 1px lightgray;
}

header nav .search0 button {
    width: 40px;
    height: 36px;
    padding: 0px 15px;
    background-image: url("../Images/searcher.png");
    background-position: center;
    background-size: 35px;
    background-color: white;
    border: none;
    cursor: pointer;
}

header nav .search0 button:hover {
    background-color: rgba(230, 230, 230, 1);
}

header nav .searchBtn {
    display: none;
    width: 36px;
    height: 36px;
    padding-left: 2px;
    background-image: url("../Images/searcher.png");
    background-position: center;
    background-size: 36px;
    background-color: white;
    border: none;
    cursor: pointer;
    border-radius: 40px;
    border: 1px solid gray;
    background-color: rgba(250, 250, 250, 1);
    position: absolute;
    right: 0px;
}

header nav .searchBtn:hover {
    
    background-color: rgba(245, 245, 245, 1);
}

header nav .infoBox {
    background-color: white;
    position: absolute;
    top: 48px;
    right: 10px;
    /*display: inline-block;*/
    display: none;
    max-height: 150px;
    width: 300px;
    overflow-y: scroll;
    z-index: 4;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
} 

header nav .infoBox a {
    color: rgb(30, 30, 30);
    padding: 10px 20px;
    box-sizing: border-box;
    font-size: 14px;
    cursor: pointer;
    border-bottom: 1px solid rgba(20, 20, 20, 0.2);
    text-decoration: none;
    text-align: left;
    display: inline-block;
    width: 100%;
}

header nav .infoBox a:hover {
    background-color: rgba(250, 250, 250, 1);
    color: rgb(10, 10, 10);
    border-bottom: 1px solid rgba(20, 20, 20, 0.3);    
}

.searchExt {
    background-color: white;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.5);    
    position: fixed;
    width: 100%;
    height: 105px;
    display: flex;
    justify-content: center;
    z-index: 2;
    display: none;
}

.searchExt form {
    /*background-color: red;*/
    width: 90%;
    max-width: 300px;
    bottom: 5px;
    position: relative;
}

.searchExt form input {
    position: absolute;
    bottom: 0px;

    width: 100%;
    box-sizing: border-box;
    padding: 9px 20px;
    outline: none;
    border: 1px solid gray;
    border-radius: 20px;
    font-size: 15px;
    float: left;
    text-shadow: 1px 1px 1px lightgray;
}

.searchExt .btnBox {
    /*background-color: red;*/
    position: relative;
    margin-left: 10px;
    width: 30px;
}

.searchExt .btnBox button {
    font-family: 'Roboto',sans-serif;
    font-weight: bold;
    border: 1px solid gray;
    position: absolute;
    height: 30px;
    width: 30px;
    border-radius: 50px;
    bottom: 10px;
    cursor: pointer;
    color: rgba(0, 0, 0, 0.5);
}

.wrapper {

    /*background-color: pink;*/
    margin-top: 55px;
    display: inline-block;
}

.wrapper .articles {
    /*background-color: white;*/
    width: 90%;
    max-width: 1200px;
    height: fit-content;
    margin: auto;
}

.wrapper .articles .presentation {

    background-image: url("../Images/laboratory-2815641_1920.jpg");
    background-size: cover;
    background-position-y:-50px;
    background-position-x:0px;
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.4);
    width: 100%;
    height: 300px;
    position: relative;
}

.wrapper .articles .presentation .btnReg {
    position: absolute;
    right: 10px;
    top: 10px;
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.4);
    z-index: 1;
}

.wrapper .articles .presentation .btnReg a {
    padding: 10px 20px;
    text-decoration: none;
    color: rgb(100, 100, 100);
    text-shadow: 0.5px 0.5px rgb(150, 150, 150);
    display: inline-block;
    background-color: white;
    font-size: 14px;
    border-radius: 6px;
}

.wrapper .articles .presentation .btnReg a:hover {

    color: rgb(70, 70, 70);
    background-color: rgb(250, 250, 250);
}

.wrapper .articles .presentation .title {
    background-color: rgba(255, 255, 255, 0.3);
    width: 100%;
    height: 100%;
    padding: 20px;
    box-sizing: border-box;
    overflow: hidden;
}

.wrapper .articles .presentation .titleBox {
    /*background-color: pink;*/
    width: 400px;
    height: 98%;
    position: relative;
    float: right;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    overflow: hidden;
}

.wrapper .articles .presentation .titleBox img {
    width: 180px;
    height: 70%;
    margin-bottom: 10px;
}

.wrapper .articles .presentation .titleBox h1 {
    
    text-shadow: 2px 2px 5px black;
    color: white;
}

.wrapper .articles .presentation .titleBox p {

    text-shadow: 2px 2px 3px black;
    color: white;    
}

footer {
    clear: both;
    width: 100%;
}

footer .fContent {
    /*background-color: blue;*/
    margin: auto;
    max-width: 1200px;
    width: 90%;
    height: 110px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer .fContent .logos0 {
    /*background-color: black;*/
    width: fit-content;
}

footer .fContent .logos0 img {
    width: 150px;
}

footer .fContent .logos0 .img1 {
    margin-right: 40px;
}

footer .fContent .rights {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 20px;
    width: 100%;
}

footer .fContent .rights p {
    
    color: white;
    text-shadow: 0px 0px 2px rgba(0, 0, 0, 1);
    width: 50%;
    box-sizing: border-box;
    float: left;
    padding: 2px 30px;
    font-weight: bold;
    margin: auto;
}

footer .fContent .rights .lP {
    margin-right: 1px;
    text-align: end;
}

footer .fContent .rights .rP {
    border-left: 1px solid white;
    text-align: start;
}

section {
   /* background-color: aqua;*/
   
}

section .encabezado {
    /*background-color: red;*/
    position: relative;
    overflow: hidden;
    height: 70px;
    margin-top: 12px;
    margin-bottom: 7px;
}

section .titulo {
    background-color: #75757A;
    text-align: center;
    width: 100%;
    height: 100%;
    margin: 0% 0% 0% 0%;
    border-bottom: solid 8px;
    border-color: #6665FF;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
}

section .titulo > h2 {
    display: inline-block;
}

section .encimado {
    background-color: aliceblue;
    width: 0%;
    position: relative;
    margin: auto;
    height: 100%;
    opacity: 0.3;
}

section .encabezado:hover  > .encimado{
    animation-name: mover;
    animation-delay: 0.25s;
    animation-duration: 2s;
    animation-iteration-count: 1;
    animation-direction: normal;
    
}

@keyframes mover {
    0% {width: 0%;}
    /*20% {left: 20%;}
    40% {left: 40%;}
    60% {left: 60%;}
    80% {left: 80%;}*/
    100% {width: 100%;}
}
section .titulo h1 {
    font-size: 1.7rem;
    color: aliceblue;
    text-shadow: 2px 2px 2px #6665FF;
    margin-top: 2px;
}

section .titulo h2 {
    font-size: 1.7rem;
    color: aliceblue;
    text-shadow: 2px 2px 2px #6665FF;
}

section .allCont {
    /*background-color: violet;*/
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

section .allCont .allProducts {
    /*background-color: green;*/
    display: grid;
    max-width: 1000px;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 10px;
}

section .allCont .allProducts .product {
    /*background-color: black;*/
    border: 1px solid rgba(200, 200, 200, 0.5);    
    display: inline-block;
    cursor: pointer;
    height: 350px;
    width: 100%;
    max-width: 330px;
    height: 400px;
    overflow: hidden;
}

section .allCont .allProducts .product:hover {
    border: 1px solid rgb(200, 200, 200);
    transition: all 0.2s ease-in;
}

section .allCont .allProducts .product .imgCont {
    background-color: white;
    width: 100%;
    min-height: 320px;
    display: flex;
    justify-content: center;
    align-items: center;
}

section .allCont .allProducts .product .imgCont > img {
    height: 200px;
}

section .allCont .allProducts .product .imgCont .loadImg {
    /*background-color: blue;*/
    width: 30px;
    overflow: hidden;
}

section .allCont .allProducts .product .imgCont .loadImg img {
    margin-bottom: -4px;
    animation-name: moveLoad;
    animation-duration: 3s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes moveLoad {
    0% { 
        transform: rotate(0deg); 
        -webkit-transform: rotate(0deg);
    }
    100% { 
        transform: rotate(360deg); 
        -webkit-transform: rotate(360deg);
    }
}

section .allCont .allProducts .product .proInfo {
    /*background-color: red;*/
    background-color: #6665ff0d;
    padding: 10px 15px;
    height: 20%;
    box-sizing: border-box;
}

section .allCont .allProducts .product:hover > .proInfo {
    background-color: rgba(102, 101, 255, 0.1);
}

section .allCont .allProducts .product .proInfo h3 {
    /*background-color: blue;*/
    color: rgb(50, 50, 50);
    text-shadow: 0px 0px 1px rgba(0, 0, 0, 0.5);
}

section .allCont .allProducts .product .proInfo h4 {
    /*background-color: blue;*/
    width: 200%;
    height: 22px;
    overflow: hidden;
    max-lines: 1;
}

 section .fin {
    background-color: none;
    color: aliceblue;
    text-align: center;
    text-shadow: 2px 2px 2px #6665FF;
    margin: 2% 0% 2% 0%;
 }

 @media screen and (max-width: 1030px){

    header nav .ul0 {
        display: none;
    }

    header nav .logo {
        display: none;
    }

    header nav .logo2 {
        display: inline-block;
    }

    header nav .menuBtn {
        display: inline-block;
    }

    section .allCont .allProducts {
        /*background-color: green;*/
        grid-template-columns: 1fr 1fr;
    }    
}

 @media screen and (max-width: 740px){
    
    section {
        display: grid;
        grid-template-columns: 100%;
        grid-template-areas: "arriba"
                             "superior"
                             "inferior";
    }

    section .encabezado {
        grid-area: arriba;
        width: 100%;

    }

    section .allCont .allProducts {
        /*background-color: green;*/
        grid-template-columns: 1fr;
    }      
     
 }

 @media screen and (max-width: 730px){

    header nav .logo {
        display: inline-block;
    }

    header nav .logo2 {
        display: none;
    }

    footer .fContent .logos0 img {   
        width: 130px;
    }

    footer .fContent .rights .rP {
        margin: auto;
    }

    .wrapper .articles .presentation {

        height: 238px;
    }
    
    .wrapper .articles .presentation .titleBox img {
        width: 135px;
        height: 85%;
    }
    
    .wrapper .articles .presentation .titleBox h1 {
        
        font-size: 25px;
    }

}

 @media screen and (max-width: 538px){
    
    section .titulo h1 {
        font-size: 1.5rem;
        color: aliceblue;
        text-shadow: 2px 2px 2px #6665FF;
        margin-top: 14px;
    }
    
    section .titulo h2 {
        font-size: 1.5rem;
        color: aliceblue;
        text-shadow: 2px 2px 2px #6665FF;
    }
 }

 @media screen and (max-width: 500px){

    .wrapper .articles .presentation .titleBox {

        width: 100%;
    }

    footer .fContent .rights p {
        padding: 1px 20px;
    }

    footer .fContent .rights .rP {
        padding: 10px 20px;
    }
}

 @media screen and (max-width: 473px){

    header nav .search0 {
        border: 1px solid rgba(0, 0, 0, 0.4);
        border-radius: 20px;
        overflow: hidden;
        width: 250px;
        background-color: lightgray;
        position: absolute;
        clear: both;
        right: 10px;
    }
    
    header nav .search0 input {
        width: 209px;
        height: 100%;
        margin-right: 1px;
        box-sizing: border-box;
        padding: 9px 20px;
        outline: none;
        border: none;
        font-size: 15px;
        float: left;
        text-shadow: 1px 1px 1px lightgray;
    }

    .wrapper .articles .presentation {

        background-position-y:0px;
    }
}

 @media screen and (max-width: 444px){

    header nav .search0 {
        display: none;
    }

    header nav .searchBtn {
        display: inline-block;
    }

    footer .fContent {
        height: 120px;
    }

    footer .fContent .rights p {
        font-size: 15px;
    }

    footer .fContent .rights .rP {
        padding: 2px 20px;
        padding-right: 10px;
    }    
}

 @media screen and (max-width: 443px){
    
    section .titulo h1 {
        font-size: 1.5rem;
        color: aliceblue;
        text-shadow: 2px 2px 2px #6665FF;
    }
    
    section .titulo h2 {
        font-size: 1.5rem;
        color: aliceblue;
        text-shadow: 2px 2px 2px #6665FF;
    }

    section .fin {
        font-size: 0.8rem;
    }
 }